@echo off
rem Batch file to run a sample of JUDE API on Windows

rem Remove "rem" from following two lines, if you'd like to use j2sdk.
rem set JAVA_HOME=C:/j2sdk1.4.2_10
rem set PATH=%JAVA_HOME%/bin;%PATH%

set SCRIPT=%~0
for /f "delims=\ tokens=*" %%z in ("%SCRIPT%") do (
   set GENTOOL_BIN=%%~dpz
)
if NOT "%GENTOOL_ROOT:~-1%" == "\" (
   set GENTOOL_BIN=%GENTOOL_BIN%/
)
if "%ASTAH_HOME%" == "" (
    set ASTAH_HOME=c:/Program Files/astah-community
)
set ASTAH_HOME="%ASTAH_HOME%"

set JUDE_JAR=%ASTAH_HOME%/astah-community.jar;%ASTAH_HOME%/astah-pro.jar;%ASTAH_HOME%/jude-community.jar;%ASTAH_HOME%/jude-pro.jar
set API_JAR=%ASTAH_HOME%/astah-api.jar;%ASTAH_HOME%/jude-api.jar
set FREEMARKER_JAR=%GENTOOL_BIN%/../lib/freemarker.jar"
set JYAML_JAR=%GENTOOL_BIN%/../lib/jyaml-1.3.jar"
set CLI_JAR=%GENTOOL_BIN%/../lib/commons-cli-1.2.jar"
set GENERATOR_DIR=%GENTOOL_BIN%/../bin"
set CLASSPATH=%JUDE_JAR%;%API_JAR%;%FREEMARKER_JAR%;%JYAML_JAR%;%GENERATOR_DIR%;%CLI_JAR%;

set INITIAL_HEAP_SIZE=16m
set MAXIMUM_HEAP_SIZE=256m
set STACK_SIZE=2m

set JAVA_OPTS=-Xms%INITIAL_HEAP_SIZE% -Xmx%MAXIMUM_HEAP_SIZE% -Xss%STACK_SIZE%
set JAVA_OPTS=%JAVA_OPTS% -classpath %CLASSPATH%

rem run
java %JAVA_OPTS% CourseCodeGenerator %*
IF ERRORLEVEL 2 goto noJavaw
goto end

:noJavaw
echo.
echo Failed to run java.
echo Java runtime environment is required to run JUDE.
echo Please read README.txt in %ASTAH_HOME%
echo and setup Java environment at first.
echo.
echo JUDE tries to run javaw. It should be in PATH system environment variable.
echo.
echo If you would like to run java in your specified folder, you can edit jude.bat
echo in %ASTAH_HOME%
echo like followings and set your JAVA_HOME.
echo     before:
echo       rem set JAVA_HOME=C:/j2sdk1.4.2_10
echo       rem set PATH=%JAVA_HOME%/bin;%PATH%
echo     after:
echo       set JAVA_HOME=C:/j2sdk1.4.2_10
echo       set PATH=%JAVA_HOME%/bin;%PATH%
echo.
echo.
pause
goto end

:end
